-- start query 77 in stream 0 using template query87.tpl
select count(*) 
from (select distinct c_last_name, c_first_name, d_date
       from bigdata_public_dataset.tpcds_10t.store_sales, bigdata_public_dataset.tpcds_10t.date_dim, bigdata_public_dataset.tpcds_10t.customer
       where store_sales.ss_sold_date_sk = date_dim.d_date_sk
         and store_sales.ss_customer_sk = customer.c_customer_sk
         and d_month_seq between 1181 and 1181+11
       except
      select distinct c_last_name, c_first_name, d_date
       from bigdata_public_dataset.tpcds_10t.catalog_sales, bigdata_public_dataset.tpcds_10t.date_dim, bigdata_public_dataset.tpcds_10t.customer
       where catalog_sales.cs_sold_date_sk = date_dim.d_date_sk
         and catalog_sales.cs_bill_customer_sk = customer.c_customer_sk
         and d_month_seq between 1181 and 1181+11
       except
      select distinct c_last_name, c_first_name, d_date
       from bigdata_public_dataset.tpcds_10t.web_sales, bigdata_public_dataset.tpcds_10t.date_dim, bigdata_public_dataset.tpcds_10t.customer
       where web_sales.ws_sold_date_sk = date_dim.d_date_sk
         and web_sales.ws_bill_customer_sk = customer.c_customer_sk
         and d_month_seq between 1181 and 1181+11
) cool_cust
;

-- end query 77 in stream 0 using template query87.tpl
